﻿using System;

namespace OZX
{
    public class OzxArgs<T> : EventArgs
    {
        public T Item { get; protected set; }

        public OzxArgs(T item)
        {
            Item = item;
        }
    }

    public class OzxArgs<T, Z> : EventArgs
    {
        public T Item1 { get; protected set; }
        public Z Item2 { get; protected set; }

        public OzxArgs(T item1, Z item2)
        {
            Item1 = item1;
            Item2 = item2;
        }
    }

    public class OzxArgs<T,Y,Z> : EventArgs
    {
        public T Item1 { get; protected set; }
        public Y Item2 { get; protected set; }
        public Z Item3 { get; protected set; }

        public OzxArgs(T item1, Y item2, Z item3)
        {
            Item1 = item1;
            Item2 = item2;
            Item3 = item3;
        }
    }
}
